package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷报告-班级试题小题分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrClassQuestionMapper extends TkMapper<MsrClassQuestion> {

    void deleteReportByExamid(@Param("examid") Integer examid);

    //获取考试难度和区别度数据
    List<MsrClassQuestion> listQuestionClassForNdByExamid(@Param("examid") Integer examid);
    //修改难度
    void updateBatchNdById(@Param("list") List<MsrClassQuestion> list);
    //修改区分度
    void updateBatchQfdById(@Param("list") List<MsrClassQuestion> list);
}
