package com.xhkjedu.smarking.mapper.report.reportsubject;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportsubject.MsrSubjectPoint;
import com.xhkjedu.smarking.vo.report.reportsubject.PointVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷报告-学科知识点表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrSubjectPointMapper extends TkMapper<MsrSubjectPoint> {

    //科目知识点
    List<PointVo> listSubjectPoints(@Param("subjectid") String subjectid, @Param("examid") Integer examid);
}
