package com.xhkjedu.smarking.mapper.scan;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlockQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷扫描试卷题块试题识别表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsScanbatchPaperBlockQuestionMapper extends TkMapper<MsScanbatchPaperBlockQuestion> {
    // 扫描记录-客观题-题块下试题
    List<MsScanbatchPaperBlockQuestion> listBlockQuestionsByMspid(@Param("mspid") Integer mspid, @Param("mblockid") Integer mblockid);

    //扫描记录-查看原卷-客观题-批量修改识别结果
    int updateBatchQuestionIdentify(@Param("list")List<MsScanbatchPaperBlockQuestion> list);
}
