package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试卷分析表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_analyze")
public class MsPaperAnalyze extends BaseBean {
    @Id
    //阅卷试卷分析表
    private Integer mpaid;
    //试卷id
    private Integer mpid;
    //总体分析
    private String alljson;
    //试题量分布分析
    private String qnumjson;
    //难易度分析
    private String complexityjson;
    //知识点分析
    private String pointjson;
    //试题关联知识点
    private String quespointjson;
}
