package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_subject")
public class MsrClassSubject extends BaseBean {
    @Id
    //阅卷报告-班级学科分析ID
    private Integer csid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //满分
    private Double fullscore;
    //班级最高分
    private Double classmaxscore;
    //班级最高分在校排名
    private Integer classmaxrank;
    //班级最低分
    private Double classminscore;
    //班级最低分在校排名
    private String classminrank;
    //班级平均分
    private Double classavgscore;
    //班级平均得分率
    private Double classavgrate;
    //班级平均分排名
    private Integer classavgrank;
    //校最高分
    private Double schoolmaxscore;
    //校最低分
    private Double schoolminscore;
    //校平均分
    private Double schoolavgscore;
    //校平均分得分率
    private Double schoolavgrate;
    //全科及格率
    private Double qkjgrate;
    //综合率
    private Double zhrate;
    //标准差
    private Double bzc;
    //标准分
    private Double bzf;
    //标准分排名
    private Integer bzfrank;
    //超均率
    private Double cjlrate;
    //超均率在校排名
    private Integer cjlrank;
    //比均率
    private Double bjrate;
    //比均率在校排名
    private Integer bjlrate;
    //中位数
    private Double zws;
    //中位数在校排名
    private Integer zwsrank;
    //离均差
    private Double ljc;
    //离均率
    private Double ljl;
    //离均率在校排名
    private Integer ljlrank;
    //众数
    private String zs;
    //众数在校排名
    private Integer zsrank;
    //均衡率
    private Double jhrate;
    //得分贡献指数
    private Double dfgxzs;
    //平均分贡献指数
    private Double pjfgxzs;
}
