package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-科目下试题排名分组分析
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_question_rankgroup")
public class MsrSubjectQuestionRankgroup extends BaseBean {
    @Id
    //阅卷报告-科目下试题排名分组分析
    private Integer sqrgid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //类型1小题2客观题3主观题
    private Integer qntype;
    //试题ID
    private Integer mptqid;
    //组别和名次 第1组(1~70名)
    private String rgroup;
    //类型1客观题选项 2客/主分值
    private Integer rgtype;
    //分值范围/选项：为空代表该组情况
    private String rsection;
    //人数
    private Integer stunum;
    //人数ids
    private String stuids;
    //占比(选项)/得分率
    private Double scorerate;
    //平均得分率
    private Double avgrate;
}
